import Vue from 'vue'
import Router from 'vue-router'
import HelloWorld from '@/components/HelloWorld'
import Login from '@/components/Login'
import home from '@/components/home'
import Enroll from '@/components/Enroll'
import index from '@/components/child/index'
import Aideindex from '@/components/child/Aideindex'
import Marketindex from '@/components/child/Marketindex'
import financeindex from '@/components/child/financeindex'
import Globalindex from '@/components/child/Globalindex'
import Generalindex from '@/components/child/Generalindex'
import AuthorityJob from '@/components/child/AuthorityJob'
import Controltree from '@/components/child/Controltree'
import Company from '@/components/system/Company'
import AuthorityUser from '@/components/child/AuthorityUser'
import PageConfig from '@/components/child/PageConfig'
import Carguide from '@/components/OP/Carguide'
import Groupedit from '@/components/OP/Groupedit'
import OPgroup from '@/components/OP/OPgroup'
import Tourguide from '@/components/OP/Tourguide'
import Department from '@/components/system/Department'
import User from '@/components/system/User'
import JobPost from '@/components/system/JobPost'
import CarData from '@/components/Resource/CarData'
import CarDataAdd from '@/components/Resource/CarDataAdd'
import CarDataEdit from '@/components/Resource/CarDataEdit'
import Customerdata from '@/components/materials/Customerdata'
import LocalGuide from '@/components/Resource/LocalGuide'
import LocalGuideOperation from '@/components/Resource/LocalGuideOperation'
import ThreeCode from '@/components/Resource/ThreeCode'
import ThreeCodeOperation from '@/components/Resource/ThreeCodeOperation'
import HotelData from '@/components/Resource/HotelData'
import visaform from '@/components/OP/visaform'
import PageFun from '@/components/child/PageFunction'
import HotelDataOperation from '@/components/Resource/HotelDataOperation'
import visaEdit from '@/components/OP/visaEdit'
import CountryFeeCost from '@/components/Resource/CountryFeeCost'
import CountryFeeCostOperation from '@/components/Resource/CountryFeeCostOperation'
import SetDataType from '@/components/system/SetDataType';
import SetData from '@/components/system/SetData';
import CustomerCompany from '@/components/Crm/CustomerCompany';
import DeleClient from '@/components/Crm/DeleClient';
import Cost from '@/components/Finance/Cost';
import MCR from '@/components/MCR/MarketCustomerResourcesHome';
import MCROper from '@/components/MCR/MarketCustomerResourcesOperation';
import OCRIdentify from '@/components/OP/OCRIdentify';
import GroupsTaskAssignment from '@/components/OP/GroupsTaskAssignment';
import DailyFeePayment from '@/components/Finance/DailyFeePayment';
import DailyFeeedit from '@/components/Finance/DailyFeeedit';
import GPTindex from '@/components/GPT/GPTindex';
import ExpenseReview from '@/components/Finance/ExpenseReview';
import FeesPage from '@/components/Finance/FeesPage';
import AirTicketAgent from '@/components/Resource/AirTicketAgent';
import AirTicketRes from '@/components/OP/AirTicketRes';
import OpAirTicketRes from '@/components/OP/OpAirTicketRes';

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Login',
      component: Login
    },
    {
      path: '/home',
      name: 'home',
      component: home,
      children: [
        {
          path: '/home/index',
          name: 'index',
          component: index
        },
        {
          path: '/home/Generalindex',
          name: 'Generalindex',
          component: Generalindex
        },
        {
          path: '/home/Aideindex',
          name: 'Aideindex',
          component: Aideindex
        },
        {
          path: '/home/Marketindex',
          name: 'Marketindex',
          component: Marketindex
        },
        {
          path: '/home/financeindex',
          name: 'financeindex',
          component: financeindex
        },
        {
          path: '/home/Globalindex',
          name: 'financeindex',
          component: Globalindex
        },
        {
          path: '/home/AuthorityJob',
          name: 'AuthorityJob',
          component: AuthorityJob
        },
        {
          path: '/home/AuthorityUser',
          name: 'AuthorityUser',
          component: AuthorityUser
        },
        {
          path: '/home/Carguide',
          name: 'Carguide',
          component: Carguide
        },
        {
          path: '/home/Controltree',
          name: 'Controltree',
          component: Controltree
        },
        {
          path: '/home/Company',
          name: 'Company',
          component: Company
        },
        {
          path: '/home/PageConfig',
          name: 'PageConfig',
          component: PageConfig
        },
        {
          path: '/home/Department',
          name: 'Department',
          component: Department
        },
        {
          path: '/home/Groupedit',
          name: 'Groupedit',
          component: Groupedit
        }, {
          path: '/home/OPgroup',
          name: 'OPgroup',
          component: OPgroup
        }, {
          path: '/home/Tourguide',
          name: 'Tourguide',
          component: Tourguide
        }, {
          path: '/home/User',
          name: 'User',
          component: User
        }, {
          path: '/home/JobPost',
          name: 'JobPost',
          component: JobPost
        }, {
          path: '/home/CarData',
          name: 'CarData',
          component: CarData
        }, {
          path: '/home/CarDataAdd',
          name: 'CarDataAdd',
          component: CarDataAdd
        }, {
          path: '/home/CarDataEdit',
          name: 'CarDataEdit',
          component: CarDataEdit
        },
        {
          path: '/home/LocalGuide',
          name: 'LocalGuide',
          component: LocalGuide
        }, {
          path: '/home/LocalGuideOperation',
          name: 'LocalGuideOperation',
          component: LocalGuideOperation
        },
        {
          path: '/home/Customerdata',
          name: 'Customerdata',
          component: Customerdata
        },
        {
          path: '/home/ThreeCode',
          name: 'ThreeCode',
          component: ThreeCode
        },
        {
          path: '/home/ThreeCodeOperation',
          name: 'ThreeCodeOperation',
          component: ThreeCodeOperation
        },
        {
          path: '/home/HotelData',
          name: 'HotelData',
          component: HotelData
        },
        {
          path: '/home/visaform',
          name: 'visaform',
          component: visaform
        },
        {

          path: '/home/PageFun',
          name: 'PageFun',
          component: PageFun
        },
        {
          path: '/home/HotelDataOperation',
          name: 'HotelDataOperation',
          component: HotelDataOperation
        },
        {
          path: '/home/visaEdit',
          name: 'visaEdit',
          component: visaEdit
        },
        {
          path: '/home/CountryFeeCost',
          name: 'CountryFeeCost',
          component: CountryFeeCost
        },
        {
          path: '/home/CountryFeeCostOperation',
          name: 'CountryFeeCostOperation',
          component: CountryFeeCostOperation
        },
        {
          path: '/home/SetDataType',
          name: 'SetDataType',
          component: SetDataType
        },
        {
          path: '/home/SetData',
          name: 'SetData',
          component: SetData
        },
        {
          path: '/home/CustomerCompany',
          name: 'CustomerCompany',
          component: CustomerCompany
        },
        {
          path: '/home/DeleClient',
          name: 'DeleClient',
          component: DeleClient
        },
        {
          path: '/home/Cost',
          name: 'Cost',
          component: Cost
        },
        {
          path: '/home/MCR',
          name: 'MCR',
          component: MCR
        },
        {
          path: '/home/MCROper',
          name: 'MCROper',
          component: MCROper
        },
        {
          path: '/home/OCRIdentify',
          name: 'Cost',
          component: OCRIdentify
        },
        {
          path: '/home/GroupsTaskAssignment',
          name: 'GroupsTaskAssignment',
          component: GroupsTaskAssignment
        },
        {
          path: '/home/DailyFeePayment',
          name: 'DailyFeePayment',
          component: DailyFeePayment
        },
        {
          path: '/home/DailyFeeedit',
          name: 'DailyFeeedit',
          component: DailyFeeedit
        },
        {
          path: '/home/GPTindex',
          name: 'GPTindex',
          component: GPTindex
        },
        {
          path: '/home/ExpenseReview',
          name: 'ExpenseReview',
          component: ExpenseReview
        },
        {
          path: '/home/FeesPage',
          name: 'FeesPage',
          component: FeesPage
        },
        {
          path: '/home/AirTicketAgent',
          name: 'AirTicketAgent',
          component: AirTicketAgent
        },
        {
          path: '/home/AirTicketRes',
          name: 'AirTicketRes',
          component: AirTicketRes
        },
        {
          path: '/home/OpAirTicketRes',
          name: 'OpAirTicketRes',
          component: OpAirTicketRes
        },
      ]
    },
    {
      path: '/Enroll',
      name: 'Enroll',
      component: Enroll
    }
  ]
})
